Results 1 to 3 of 3

Thread: Samba4 Install Confusion

  1. #1
    Join Date
    Aug 2013
    Beans
    1

    Samba4 Install Confusion

    I'm sure that I can't be the only person who's experienced this, but I can find no reference anywhere to the issue.

    I've tried over an extended time to install Samba4 on Ubuntu1304. I can happily do so by building it from source - it works just fine this way. However, I'd really rather use the standard packages, because that way I don't have to worry about upgrading it myself - the usual mechanisms will do it for me.

    However, when I try to install the samba4 packages (samba4 and samba4-clients) I run into a problem. THe samba4 package installs OK, and reports itself (via samba -V) as version4. However, smbclient (via smbcleint -V) reports itself as v3.6.9 and doesn't interoperate correctly. I've checked that there aren't any samba packages installed before I start (dpkg --get-selecitons | grep samba), no sign there.

    As I said, I can't believe I'm the only one who's had this problem. What am I missing ?

    Thanks

  2. #2
    Join Date
    Jan 2013
    Location
    Norrkoping, Sweden
    Beans
    149
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Samba4 Install Confusion

    I have this problem on my Samba 4.0.9 server.
    Code:
    root@dc01:/samba-master# cd /
    root@dc01:/# samba -V
    Version 4.0.9
    root@dc01:/# smbclient -V
    Version 3.6.3
    Is there a way to just upgrade smbclient? Or any other way to fix this?
    What ya need my signature for? It's not like it's my last will, or something!

  3. #3
    Join Date
    Apr 2007
    Location
    Pompano Beach, FL, USA
    Beans
    69
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: Samba4 Install Confusion

    The client is renamed to smbclient4

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •